# OpalRecordManager Class Reference

`#include <audiorecord.h>`

List of all members.

## Public Member Functions

| OpalRecordManager ()
PBoolean | Open (const PString &_callToken, const PFilePath &fn)
bool | IsOpen () const
PBoolean | CloseStream (const PString &_callToken, const std::string &_strm)
PBoolean | Close (const PString &_callToken)
PBoolean | WriteAudio (const PString &_callToken, const std::string &strm, const RTP_DataFrame &rtp)

## Public Attributes

Mixer_T | mixer

## Protected Attributes

PMutex | mutex
PString | token
PBoolean | started

## Classes

class | Mixer_T

## Constructor & Destructor Documentation

OpalRecordManager::OpalRecordManager | ( |  | ) |

## Member Function Documentation

PBoolean OpalRecordManager::Open | ( | const PString & | _callToken,
|  | const PFilePath & | fn |
| ) |  |  |

bool OpalRecordManager::IsOpen | ( |  | ) | const`[inline]`

PBoolean OpalRecordManager::CloseStream | ( | const PString & | _callToken,
|  | const std::string & | _strm |
| ) |  |  |

PBoolean OpalRecordManager::Close | ( | const PString & | _callToken | ) |

PBoolean OpalRecordManager::WriteAudio | ( | const PString & | _callToken,
|  | const std::string & | strm,
|  | const RTP_DataFrame & | rtp |
| ) |  |  |

## Member Data Documentation

Mixer_T OpalRecordManager::mixer

PMutex OpalRecordManager::mutex `[protected]`

PString OpalRecordManager::token `[protected]`

PBoolean OpalRecordManager::started `[protected]`

The documentation for this class was generated from the following file:

- audiorecord.h